Subject: Re: [BUG]: Testsuite failures on big-endian targets

From: Todd Zullinger <[email-masked]>
Date: Wed, 31 Jul 2019 03:17:55 -0400

Hi,

John Paul Adrian Glaubitz wrote:
> Recent versions of git are failing the testsuite on big-endian targets
> such as s390x in Debian.
> 
> Build logs are:
> 
>> https://buildd.debian.org/status/fetch.php?pkg=git&arch=s390x&ver=1%3A2.23.0%7Erc0-1&stamp=1564449102&raw=0
>> https://buildd.debian.org/status/fetch.php?pkg=git&arch=s390x&ver=1%3A2.23.0%7Erc0%2Bnext.20190729-1&stamp=1564449397&raw=0
> 
> Unfortunately, I cannot really read from the build logs which test in
> particular is actually failing as I see a lot of lines starting with
> the string "error".

The test I see failing is test 6 in t0016-oidmap.  Grepping
for '^not ok ' is helpful in this case, though it's even
better when the test summary is provided, as it points to
the failing tests by name and number.

The t0016-oidmap failure is discussed in the thread starting
here:

    https://public-inbox.org/git/[email-masked]/T/

Peff posted a patch which resolves the test failure here:

    https://public-inbox.org/git/[email-masked]/

Cheers,

-- 
Todd